Skip to main content
Server path: /affinda-workspace | Type: Application | PCID required: Yes

Tools

ToolDescription
affinda_workspace_add_mapping_data_source_valueAdd value for a data source
affinda_workspace_batch_add_tagAdd a tag to documents
affinda_workspace_batch_remove_tagRemove a tag from documents
affinda_workspace_create_invitationCreate a new invitation
affinda_workspace_create_mapping_data_sourceCreate a data source
affinda_workspace_create_resthook_subscriptionCreate a resthook subscription
affinda_workspace_create_tagCreate a tag
affinda_workspace_create_workspaceCreate a workspace
affinda_workspace_create_workspace_membershipCreate a workspace membership
affinda_workspace_delete_invitationDelete an invitation
affinda_workspace_delete_mapping_data_sourceDelete specific data source
affinda_workspace_delete_mapping_data_source_valueDelete specific data source value
affinda_workspace_delete_membershipDelete a workspace membership
affinda_workspace_delete_resthook_subscriptionDelete a resthook subscription
affinda_workspace_delete_tagDelete an tag
affinda_workspace_delete_workspaceDelete a workspace
affinda_workspace_get_all_invitationsGet list of all invitations
affinda_workspace_get_all_organizationsGet list of all organizations
affinda_workspace_get_all_resthook_subscriptionsGet list of all resthook subscriptions
affinda_workspace_get_all_tagsGet list of all tags
affinda_workspace_get_all_workspace_membershipsGet list of all workspace memberships
affinda_workspace_get_all_workspacesGet list of all workspaces
affinda_workspace_get_invitationGet detail of an invitation
affinda_workspace_get_invitation_by_tokenGet detail of an invitation by token
affinda_workspace_get_mapping_data_sourceGet specific data source
affinda_workspace_get_mapping_data_source_valueGet specific data source value
affinda_workspace_get_membershipGet specific workspace membership
affinda_workspace_get_organizationGet detail of an organization
affinda_workspace_get_resthook_subscriptionGet specific resthook subscription
affinda_workspace_get_tagGet specific tag
affinda_workspace_get_usage_by_workspaceGet usage by workspace
affinda_workspace_get_workspaceGet specific workspace
affinda_workspace_list_mapping_data_source_valuesList values for a data source
affinda_workspace_list_mapping_data_sourcesList data sources
affinda_workspace_replace_mapping_data_source_valuesReplace values for a data source
affinda_workspace_respond_to_invitationRespond to an invitation
affinda_workspace_update_invitationUpdate an invitation
affinda_workspace_update_mapping_data_source_valueUpdate specific data source value
affinda_workspace_update_resthook_subscriptionUpdate a resthook subscription
affinda_workspace_update_tagUpdate a tag
affinda_workspace_update_workspaceUpdate a workspace

affinda_workspace_add_mapping_data_source_value

Add value for a data source Parameters:
ParameterTypeRequiredDefaultDescription
identifierstringYesData source’s identifier
bodyobjectYesRequest body

affinda_workspace_batch_add_tag

Add a tag to documents Parameters:
ParameterTypeRequiredDefaultDescription
identifiersstring[]NoList of documents to tag
tagintegerNoThe tag’s ID

affinda_workspace_batch_remove_tag

Remove a tag from documents Parameters:
ParameterTypeRequiredDefaultDescription
identifiersstring[]NoList of documents to remove tag from
tagintegerNoThe tag’s ID

affinda_workspace_create_invitation

Create a new invitation Parameters:
ParameterTypeRequiredDefaultDescription
emailstringYesThe email which the invitation is sent to.
organizationstringYesUniquely identify an organization.
rolestringYesThe role value

affinda_workspace_create_mapping_data_source

Create a data source Parameters:
ParameterTypeRequiredDefaultDescription
displayPropertystringNoAttribute in the schema which is used to display the value
keyPropertystringNoAttribute in the schema which uniquely identifiers the value
namestringNoThe name value
organizationstringNoThe organization that this mapping data source belongs to.
schemaobjectNoThe schema of the mapping data source.
valuesobject[]NoThe values value
workspacestringNoThe workspace that this mapping data source belongs to.

affinda_workspace_create_resthook_subscription

Create a resthook subscription Parameters:
ParameterTypeRequiredDefaultDescription
eventstringYesThe event name to subscribe to.
organizationstringNoThe organization value
targetUrlstringYesURL of the resthook’s receiver.
versionstringNoVersion of the resthook subscription. Determines the resthook body being fired.
workspacestringNoThe workspace value

affinda_workspace_create_tag

Create a tag Parameters:
ParameterTypeRequiredDefaultDescription
namestringYesThe name value
workspacestringYesUniquely identify a workspace.

affinda_workspace_create_workspace

Create a workspace Parameters:
ParameterTypeRequiredDefaultDescription
documentSplitterstringNoUniquely identify a document splitter.
documentTypesstring[]NoDocument types to associate with this workspace
namestringYesThe name value
organizationstringYesUniquely identify an organization.
rejectDuplicatesbooleanNoIf “true”, parsing will fail when the uploaded document is duplicate of an existing document, no credits will be consumed. If “false”, will parse the document normally whether its a duplicate or not. If not provided, will fallback to the workspace settings.
rejectInvalidDocumentsbooleanNoIf true, the uploaded document will be rejected if it’s of the wrong document type, or if its document type cannot be determined. No credits will be consumed.
visibilitystringNoVisibility “organization” means everyone in the organization can access the workspace. Visibility “private” means only people explicitly added can access the workspace.
whitelistIngestAddressesstring[]NoIf specified, only emails from these addresses will be ingested for parsing. Wild cards are allowed, e.g. ”*@eyefind.info”.

affinda_workspace_create_workspace_membership

Create a workspace membership Parameters:
ParameterTypeRequiredDefaultDescription
userintegerNoUniquely identify a user.
workspacestringNoUniquely identify a workspace.

affinda_workspace_delete_invitation

Delete an invitation Parameters:
ParameterTypeRequiredDefaultDescription
identifierstringYesInvitation identifier.

affinda_workspace_delete_mapping_data_source

Delete specific data source Parameters:
ParameterTypeRequiredDefaultDescription
identifierstringYesData source’s identifier

affinda_workspace_delete_mapping_data_source_value

Delete specific data source value Parameters:
ParameterTypeRequiredDefaultDescription
identifierstringYesData source’s identifier
valuestringYesData Source Value’s value

affinda_workspace_delete_membership

Delete a workspace membership Parameters:
ParameterTypeRequiredDefaultDescription
identifierstringYesWorkspace membership’s identifier.

affinda_workspace_delete_resthook_subscription

Delete a resthook subscription Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesResthookSubscription’s ID

affinda_workspace_delete_tag

Delete an tag Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesTag’s ID

affinda_workspace_delete_workspace

Delete a workspace Parameters:
ParameterTypeRequiredDefaultDescription
identifierstringYesWorkspace’s identifier

affinda_workspace_get_all_invitations

Get list of all invitations Parameters:
ParameterTypeRequiredDefaultDescription
offsetintegerNoThe number of documents to skip before starting to collect the result set.
limitintegerNoThe numbers of results to return.
organizationstringNoFilter by organization.
statusstringNoFilter by status.
rolestringNoFilter by role.

affinda_workspace_get_all_organizations

Get list of all organizations

affinda_workspace_get_all_resthook_subscriptions

Get list of all resthook subscriptions Parameters:
ParameterTypeRequiredDefaultDescription
offsetintegerNoThe number of documents to skip before starting to collect the result set.
limitintegerNoThe numbers of results to return.

affinda_workspace_get_all_tags

Get list of all tags Parameters:
ParameterTypeRequiredDefaultDescription
limitintegerNoThe numbers of results to return.
offsetintegerNoThe number of documents to skip before starting to collect the result set.
workspacestringNoFilter by workspace.
namestringNoFilter by name.

affinda_workspace_get_all_workspace_memberships

Get list of all workspace memberships Parameters:
ParameterTypeRequiredDefaultDescription
offsetintegerNoThe number of documents to skip before starting to collect the result set.
limitintegerNoThe numbers of results to return.
workspacestringNoFilter by workspace.
userstringNoPartial text match on user’s email, case-insensitive.

affinda_workspace_get_all_workspaces

Get list of all workspaces Parameters:
ParameterTypeRequiredDefaultDescription
organizationstringYesFilter by organization.
namestringNoFilter by name.

affinda_workspace_get_invitation

Get detail of an invitation Parameters:
ParameterTypeRequiredDefaultDescription
identifierstringYesInvitation identifier.

affinda_workspace_get_invitation_by_token

Get detail of an invitation by token Parameters:
ParameterTypeRequiredDefaultDescription
tokenstringYesInvitation token.

affinda_workspace_get_mapping_data_source

Get specific data source Parameters:
ParameterTypeRequiredDefaultDescription
identifierstringYesData source’s identifier

affinda_workspace_get_mapping_data_source_value

Get specific data source value Parameters:
ParameterTypeRequiredDefaultDescription
identifierstringYesData source’s identifier
valuestringYesData Source Value’s value

affinda_workspace_get_membership

Get specific workspace membership Parameters:
ParameterTypeRequiredDefaultDescription
identifierstringYesWorkspace membership’s identifier.

affinda_workspace_get_organization

Get detail of an organization Parameters:
ParameterTypeRequiredDefaultDescription
identifierstringYesOrganization identifier.

affinda_workspace_get_resthook_subscription

Get specific resthook subscription Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesResthook subscription’s ID

affinda_workspace_get_tag

Get specific tag Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesTag’s ID

affinda_workspace_get_usage_by_workspace

Get usage by workspace Parameters:
ParameterTypeRequiredDefaultDescription
identifierstringYesWorkspace’s identifier
startstringNoStart date of the period to retrieve. Format: YYYY-MM
endstringNoEnd date of the period to retrieve. Format: YYYY-MM

affinda_workspace_get_workspace

Get specific workspace Parameters:
ParameterTypeRequiredDefaultDescription
identifierstringYesWorkspace’s identifier

affinda_workspace_list_mapping_data_source_values

List values for a data source Parameters:
ParameterTypeRequiredDefaultDescription
limitintegerNoThe numbers of results to return.
offsetintegerNoThe number of documents to skip before starting to collect the result set.
searchstringNoSearch for specific values
annotationintegerNoFilter based on annotation ID
documentstringNoIdentifier of the document to apply filter lookups on if available
identifierstringYesData source’s identifier

affinda_workspace_list_mapping_data_sources

List data sources Parameters:
ParameterTypeRequiredDefaultDescription
offsetintegerNoThe number of documents to skip before starting to collect the result set.
limitintegerNoThe numbers of results to return.
namestringNoFilter by name.
organizationstringNoFilter by organization.
workspacestringNoFilter by workspace.
identifierstringNoFilter by identifier.

affinda_workspace_replace_mapping_data_source_values

Replace values for a data source Parameters:
ParameterTypeRequiredDefaultDescription
identifierstringYesData source’s identifier
bodyobject[]YesRequest body

affinda_workspace_respond_to_invitation

Respond to an invitation Parameters:
ParameterTypeRequiredDefaultDescription
tokenstringYesInvitation token.
statusstringNoThe status value

affinda_workspace_update_invitation

Update an invitation Parameters:
ParameterTypeRequiredDefaultDescription
identifierstringYesInvitation identifier.
rolestringNoThe role value

affinda_workspace_update_mapping_data_source_value

Update specific data source value Parameters:
ParameterTypeRequiredDefaultDescription
identifierstringYesData source’s identifier
valuestringYesData Source’s value
bodyobjectYesRequest body

affinda_workspace_update_resthook_subscription

Update a resthook subscription Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesResthookSubscription’s ID
eventstringNoThe event name to subscribe to.
organizationstringNoUniquely identify an organization.
versionstringNoVersion of the resthook subscription. Determines the resthook body being fired.
workspacestringNoUniquely identify a workspace.

affinda_workspace_update_tag

Update a tag Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesTag’s ID
namestringNoThe name value
workspacestringNoUniquely identify a workspace.

affinda_workspace_update_workspace

Update a workspace Parameters:
ParameterTypeRequiredDefaultDescription
identifierstringYesWorkspace’s identifier
documentSplitterstringNoUniquely identify a document splitter.
documentTypesstring[]NoDocument types to associate with this workspace
namestringNoThe name value
rejectDuplicatesbooleanNoIf “true”, parsing will fail when the uploaded document is duplicate of an existing document, no credits will be consumed. If “false”, will parse the document normally whether its a duplicate or not. If not provided, will fallback to the workspace settings.
rejectInvalidDocumentsbooleanNoIf true, the uploaded document will be rejected if it’s of the wrong document type, or if its document type cannot be determined. No credits will be consumed.
visibilitystringNoVisibility “organization” means everyone in the organization can access the workspace. Visibility “private” means only people explicitly added can access the workspace.
whitelistIngestAddressesstring[]NoIf specified, only emails from these addresses will be ingested for parsing. Wild cards are allowed, e.g. ”*@eyefind.info”.